Copyright: Copyright © 1994 Global Majic Software, Inc.
Citation: Copyright © 1994 Global Majic Software, Inc.


Contents
Global Majic Software, Inc.

Instrumentation Custom Control Library  Ver 2.0

Gauge Control

Properties	Events	Product Support	Copyright

Description:

The generic Gauge Control is a highly customizable gauge or meter control.  Properties are provided to modify gauge's scales, tics, needles, annulars, captions, border and background.  The mouse can optionally be used to change needle values.

Scales:

Scales are used to define the extent of the units displayed by the gauge, the location of the gauge center, and the gauge's start and stop angles.

Needles:

Needles can be displayed in a variety of shapes and sizes.  Properties are used to modify the needle's style, length, width, color and associated scale.  Multiple needles can be placed on a single gauge as shown below:

Hubs:

Hubs are decorative caps over the axis of rotation of a given needle.  Properties are used to modify the hub's style, radius, and associated scale.

Tics:

Tics are used to mark intervals on the gauge face.  Properties are used to set the tic's style, start-stop values, interval, inner-outer radii, width, color, label positions, and associated scale.

Annulars:

Annulars are used for aesthetics as well as indicators of operating ranges.  Properties are provided to modify annular's start-stop values, inner-outer radii, color, and associated scale.  Multiple annular regions can be placed on a single gauge as shown below:

Captions:

The gauge can be embellished with multiple captions to indicate the type of measurement being displayed, units used or any other informative or decorative labeling.


Product Support

Product support for Instrumentation Custom Control Library is available to registered users by contacting Global Majic Software, Inc. at the following locations:

Global Majic Software, Inc.

P.O. Box 322

Madison, Alabama  35758

CompuServe:  73261,3642

Internet:   73261.3642@compuserve.com

Product Support is free for a period of three (3) months from the date of registration.


HubScaleID
HubScaleID Property

Description

Determines the ScaleID that the hub is based on.  The scale is used to define the location of the gauge center, the gauge's beginning and ending angles, and its minimum and maximum displayed values.  The HubID is used to select the current hub for which the ScaleID is applied.  The ScaleID has valid values of 0 to Scales-1.

Usage

[form.]control.HubScaleID[ = integer ]

Related Properties

HubColor, HubID, Hubs, and HubScale.

Data Type

Integer


HubColor
HubColor Property

Description

Determines the color for the hub currently selected by HubID.

Usage

[form.]control.HubColor[ = color ]

Remarks

This property can be set using the RGB or QBColor functions.

Related Properties

HubID, Hubs, HubScale, and HubScaleID.

Data Type

Long.


Captions
Captions Property

Description

Determines the number of captions displayed on the gauge.  This property must be set before caption properties are entered.  The CaptionID is used to select the current caption for which caption properties are applied.

Usage

[form.]control.Captions[ = integer ]

Related Properties

Caption, CaptionColor, CaptionID, Captions, CaptionX, and CaptionY.

Data Type

Integer


Hubs
Hubs Property

Description

Determines the number of hubs displayed on the gauge.  This property must be set before hub properties are entered.  The HubID is used to select the current hub for which hub properties are applied.

Usage

[form.]control.Hubs[ = integer ]

Related Properties

HubColor, HubID, HubScale, and HubScaleID.

Data Type

Integer


HubID
HubID Property

Description

Determines the currently selected hub.  This property must be set before hub properties are entered.  The total number of hubs is determined by the Hubs property, and the HubID has valid values from 0 to Hubs-1.

Usage

[form.]control.HubID[ = integer ]

Remarks

The number of Hubs must be set before this property can be set.

Related Properties

HubColor, Hubs, HubScale, and HubScaleID.

Data Type

Integer


BevelOuter
BevelOuter Property

Description

Sets or returns the outer shadow style of the control.

Usage

[form.]control.BevelOuter[ = integer ]

Setting

The BevelOuter property settings are:

Setting 	Description

0	None

1	Raised

2	Inset

Remarks

This property has no affect when BevelWidth=0.  This property is used in conjunction with BevelInner, BevelWidth, and BorderWidth.

Data Type

Integer (Enumerated)


BevelInner
BevelInner Property

Description

Sets or returns the inner shadow style of the control.

Usage

[form.]control.BevelInner[ = integer ]

Setting

The BevelInner property settings are:

Setting 	Description

0	None

1	Raised

2	Inset

Remarks

This property has no affect when BevelWidth=0.  This property is used in conjunction with BevelOuter, BevelWidth, and BorderWidth.

Data Type

Integer (Enumerated)


BevelWidth
BevelWidth Property

Description

Sets or returns the shadow sizes of the inner and outer bevels of the control.

Usage

[form.]control.BevelWidth[ = integer ]

Remarks

This property works in conjunction with BevelInner, BevelOuter and BorderWidth.

Data Type

Integer


BorderWidth
BorderWidth Property

Description

Sets or returns the border size between the inner and outer bevels of the control.

Usage

[form.]control.BorderWidth[ = integer ]

Remarks

This property works in conjunction with BevelInner, BevelOuter and BevelWidth.

Data Type

Integer


CaptionY
CaptionY Property

Description

Determines the vertical position of the caption currently selected by the CaptionID property.  This property is based on a unitless scale and typically has values between -1.0 and 1.0 where a value of 0.0 is located at the center of the control.

Usage

[form.]control.CaptionY[ = single ]

Related Properties

Caption, CaptionColor, CaptionID, Captions, and CaptionX.

Data Type

Single


CaptionX
CaptionX Property

Description

Determines the horizontal position of the caption currently selected by the CaptionID property.  This property is based on a unitless scale and typically has values between -1.0 and 1.0 where a value of 0.0 is located at the center of the control.

Usage

[form.]control.CaptionX[ = single ]

Related Properties

Caption, CaptionColor, CaptionID, Captions, and CaptionY.

Data Type

Single


MouseControl
MouseControl Property

Description

Enables or disables mouse input to the control.

Usage

[form.]control.MouseControl[ = {TRUE|FALSE} ]

Setting

The MouseControl property settings are:

Setting 	Description

True	Allows the control's value to be modified with mouse input.

False	Disables mouse input to the control.

Data Type

Integer (Boolean)


TicLabel
TicLabel Property

Description

Enables or disables labels at each tic mark for the set of tics currently selected by TicID.  The position of the tic labels is defined by the TicLabelRadius property.

Usage

[form.]control.TicLabel[ = {TRUE|FALSE} ]

Setting

The TicLabel property settings are:

Setting 	Description

True	Labels are displayed.

False	Labels are not displayed.

Related Properties

TicColor, TicDeltaValue, TicID, TicInnerRadius, TicLabelRadius, TicOuterRadius, Tics, TicScaleID, TicStartValue, TicStopValue, TicStyle, TicWidth.

Data Type

Integer (Boolean)


TicID
TicID Property

Description

Determines the currently selected set of tic marks.  This property must be set before tic properties are entered.  The total sets of tics is determined by the Tics property, and the TicID has valid values from 0 to Tics-1.

Usage

[form.]control.TicID[ = integer ]

Remarks

The number of tics must be set before this property can be set.

Related Properties

TicColor, TicDeltaValue, TicInnerRadius, TicLabel, TicLabelRadius, TicOuterRadius, Tics, TicScaleID, TicStartValue, TicStopValue, TicStyle, TicWidth.

Data Type

Integer


copyright
COPYRIGHT INFORMATION

All Global Majic Software, Inc. software programs, shareware, and freeware are protected under the copyright laws of the United States and foreign countries. All rights are reserved to Global Majic Software, Inc. Violations of copyright laws are investigated by the FBI. Distribution of Global Majic Software, Inc. products implies that you have read and agreed to the distribution terms described below:

INTENT

Global Majic Software, Inc. seeks to distribute its shareware as widely as possible. However, we want the end-users of our software to be properly informed that it is shareware.

DISTRIBUTOR INFORMATION AND LICENSE INFORMATION

The license information and distribution requirements in this document supersede all previous license statements. To continue to distribute Global Majic Software, Inc. products, you must adhere to the licensing and distribution requirements below.

If you are a mail order or BBS-type distributor of shareware software, you may distribute these programs as they are, without any changes other than expanding files contained in the ZIP archives. However, you have the responsibility to check from time to time, at a minimum interval of 6 months, for new versions of these programs, and to update your copies in a timely manner. Global Majic Software, Inc. will gladly send you a diskette containing the current versions on request.

You must fully identify all Global Majic Software, Inc. programs in your advertising, by the program's full name and version, and indicate the registration fee in the program description. The words Global Majic Software, Inc. must appear in all program descriptions.

SHAREWARE DISCLOSURE REQUIRED

All advertising and packaging information including references to Global Majic Software, Inc. products must contain a statement explaining the shareware concept.  Specifically, that statement must explain that shareware software MUST be registered by the user, after a trial period, by paying a registration fee, and that all monies paid for the shareware version are duplication and distribution charges only. All such statements must be clearly displayed in a position where they are likely to be read by potential customers.

RETAIL RACK AND CD-ROM DISTRIBUTION

If you distribute shareware in a retail setting in racks, store displays, vending machines, at computer fairs, or in any way other than normal BBS or catalog-based sales, you must contact Global Majic Software, Inc. for permission to distribute any Global Majic Software, Inc. program. Rack or retail-like sales require a special distribution license, normally requiring royalties paid to Global Majic Software, Inc. If you distribute shareware on CD-ROM disks, you must also contact Global Majic Software, Inc. before including any Global Majic Software, Inc. shareware programs on a CD-ROM disk. Normally, permission is granted, but current versions must be included and all old versions of any Global Majic Software, Inc. program removed from any CD-ROM disk containing Global Majic Software, Inc. products.


AnnularColor
AnnularColor Property

Description

Determines the color of the current annular selected by AnnularID.

Usage

[form.]control.AnnularColor[ = color ]

Remarks

This property can be set using the RGB or QBColor functions.

Related Properties

AnnularID, AnnularInnerRadius, AnnularOuterRadius, Annulars, AnnularScaleID, AnnularStartValue, and AnnularStopValue.

Data Type

Long.


AutoSize
AutoSize Property

Description

Enables the control to automatically size itself to fit its contents.

Usage

[form.]control.AutoSize[ = {TRUE|FALSE} ]

Setting

The AutoSize property settings are:

Setting 	Description

TRUE	Automatically sizes itself to fit its contents.

FALSE	Allows the width and height of the control to be set manually.

Data Type

Integer (Boolean)


Annulars
Annulars Property

Description

Determines the number of annular regions displayed on the gauge.  This property must be set before annular properties are entered.  The AnnularID is used to select the current annular for which annular properties are applied.

Usage

[form.]control.Annulars[ = integer ]

Related Properties

AnnularColor, AnnularID, AnnularInnerRadius, AnnularOuterRadius, AnnularScaleID, AnnularStartValue, and AnnularStopValue.

Data Type

Integer


Properties
Properties:

AnnularColor	Height	ScaleMinValue
AnnularID	HelpContextID	ScaleOriginX
AnnularInnerRadius	HubColor	ScaleOriginY
AnnularOuterRadius	HubID	Scales
Annulars	Hubs	ScaleStartAngle
AnnularScaleID	HubScale	ScaleStopAngle
AnnularStartValue	HubScaleID	Shape
AnnularStopValue	Index	TabIndex
BackgroundColor	Left	TabStop
BackgroundPicture	MouseControl	Tag
BevelInner	MousePointer	TicColor
BevelOuter	Name	TicDeltaValue
BevelWidth	NeedleColor	TicID
BorderType	NeedleID	TicInnerRadius
BorderWidth	NeedleLength	TicLabel
Caption	Needles	TicLabelRadius
CaptionColor	NeedleScaleID	TicOuterRadius
CaptionID	NeedleStyle	Tics
Captions	NeedleValue	TicScaleID
CaptionX	NeedleWidth	TicStartValue
CaptionY	OutlineAlign	TicStopValue
Enabled	OutlineColor	TicStyle
FrameColor	OutlineTitle	TicWidth
FramePicture	OutlineWidth	Top
FrameScaleX	ScaleDirection	Visible
FrameScaleY	ScaleID	Width
FrameStyle	ScaleMaxValue


TicStyle
TicStyle Property

Description

Determines the style of the tic currently selected by TicID.

Usage

[form.]control.TicStyle[ = integer ]

Setting

The TicStyle property settings are:

Setting 	Description

0 	Rectangle

1	Triangle

2	Diamond

3	Circle

Related Properties

TicColor, TicDeltaValue, TicID, TicInnerRadius, TicLabel, TicLabelRadius, TicOuterRadius, Tics, TicScaleID, TicStartValue, TicStopValue, TicWidth.

Data Type

Integer (Enumerated)


TicColor
TicColor Property

Description

Determines the color for the tic currently selected by TicID.

Usage

[form.]control.TicColor[ = color ]

Remarks

This property can be set using the RGB or QBColor functions.

Related Properties

TicDeltaValue, TicID, TicInnerRadius, TicLabel, TicLabelRadius, TicOuterRadius, Tics, TicScaleID, TicStartValue, TicStopValue, TicStyle, TicWidth.

Data Type

Long.


TicStopValue
TicStopValue Property

Description

Determines the value at which the tic marks stop.  The StopValue is a number between ScaleMinValue and ScaleMaxValue.  The corresponding scale is referenced by the TicScaleID property.

Usage

[form.]control.TicStopValue[ = single ]

Remarks

The StopValue should be less than the StopValue.

Related Properties

TicColor, TicDeltaValue, TicID, TicInnerRadius, TicLabel, TicLabelRadius, TicOuterRadius, Tics, TicScaleID, TicStartValue, TicStyle, TicWidth.

Data Type

Single


TicStartValue
TicStartValue Property

Description

Determines the value at which the tic marks begins.  The StartValue is a number between ScaleMinValue and ScaleMaxValue.  The corresponding scale is referenced by the TicScaleID property.

Usage

[form.]control.TicStartValue[ = single ]

Remarks

The StartValue should be less than the StopValue.

Related Properties

TicColor, TicDeltaValue, TicID, TicInnerRadius, TicLabel, TicLabelRadius, TicOuterRadius, Tics, TicScaleID, TicStopValue, TicStyle, TicWidth.

Data Type

Single


TicLabelRadius
TicLabelRadius Property

Description

Determines the radius that labels are displayed for the set of tics currently selected by TicID.  This property is based on a unitless scale and typically has values between 0.0 and 1.0.  This property only applies when TicLabel is set to TRUE..

Usage

[form.]control.TicLabelRadius[ = single ]

Related Properties

TicColor, TicDeltaValue, TicID, TicInnerRadius, TicLabel, TicOuterRadius, Tics, TicScaleID, TicStartValue, TicStopValue, TicStyle, TicWidth.

Data Type

Single


TicOuterRadius
TicOuterRadius Property

Description

Determines the outer radius of the set of tics currently selected by TicID.  This property is based on a unitless scale and typically has values between 0.0 and 1.0.

Usage

[form.]control.TicOuterRadius[ = single ]

Remarks

The outer radius should be greater than the inner radius.

Related Properties

TicColor, TicDeltaValue, TicID, TicInnerRadius, TicLabel, TicLabelRadius, Tics, TicScaleID, TicStartValue, TicStopValue, TicStyle, TicWidth.

Data Type

Single


TicScaleID
TicScaleID Property

Description

Determines the ScaleID that the tic set is based on.  The scale is used to define the location of the gauge center, the gauge's beginning and ending angles, and its minimum and maximum displayed values.  The TicID is used to select the current tic for which the ScaleID is applied.  The ScaleID has valid values of 0 to Scales-1.

Usage

[form.]control.TicScaleID[ = integer ]

Related Properties

TicColor, TicDeltaValue, TicID, TicInnerRadius, TicLabel, TicLabelRadius, TicOuterRadius, Tics, TicStartValue, TicStopValue, TicStyle, TicWidth.

Data Type

Integer


Tics
Tics Property

Description

Determines the number of tic sets displayed on the gauge.  This property must be set before tic properties are entered.  The TicID property is used to select the current tic set for which tic properties are applied.

Usage

[form.]control.Tics[ = integer ]

Related Properties

TicColor, TicDeltaValue, TicID, TicInnerRadius, TicLabel, TicLabelRadius, TicOuterRadius, TicScaleID, TicStartValue, TicStopValue, TicStyle, TicWidth.

Data Type

Integer


ScaleStartAngle
ScaleStartAngle Property

Description

Determines the angle of the most counter clockwise portion of the scale currently selected by ScaleID.  When ScaleDirection is set 0 (Clockwise), the ScaleStartAngle corresponds to ScaleMinValue and when ScaleDirection is set 1 (Counter Clockwise), the ScaleStartAngle corresponds to ScaleMaxValue.

Usage

[form.]control.ScaleStartAngle[ = single ]

Remarks

Start and stop angles are bound between 0 and 360 degrees.  Values outside this range are automatically corrected.

Related Properties

ScaleDirection, ScaleID, ScaleMaxValue, ScaleMinValue, ScaleOriginX, ScaleOriginY, Scales, ScaleStopAngle.

Data Type

Single


ScaleMinValue
ScaleMinValue Property

Description

Determines the minimum value displayed by the scale currently selected by ScaleID.

Usage

[form.]control.ScaleMinValue[ = single ]

Remarks

The ScaleMinValue should be less than the ScaleMaxValue.

Related Properties

ScaleDirection, ScaleID, ScaleMaxValue, ScaleOriginX, ScaleOriginY, Scales, ScaleStartAngle, ScaleStopAngle.

Data Type

Single


Shape
Shape Property

Description

Determines the shape of user defined needles.  This property only applies when NeedleStyle = 3 (User Defined).  This property defines a polygon made from a list of x,y coordinate pairs.  The needle shape is defined using a coordinate system in which (0,0) is located at the center of the gauge and the tip of the needle is typically defined as (0,1000).

Usage

[form.]control.Shape[ = string expression ]

Example

Gauge1.Shape = "250,0,   250,750,   500,750,   0,1000,   -500,750,   -250,750,   -250,0"

The following image displays this shape polygon defined in a coordinate system with origin at (0,0) and (1000,1000) extents.

The following image is a screen snap shop of this Shape used in a simple gauge control.

Related Properties

NeedleLength, NeedleStyle, and NeedleWidth.

Data Type

String


TicWidth
TicWidth Property

Description

Determines the width of the tic currently selected by TicID.  This property is based on a unitless scale and typically has values between 0.0 and 1.0.

Usage

[form.]control.TicWidth[ = single ]

Related Properties

TicColor, TicDeltaValue, TicID, TicInnerRadius, TicLabel, TicLabelRadius, TicOuterRadius, Tics, TicScaleID, TicStartValue, TicStopValue, TicStyle

Data Type

Single


TicInnerRadius
TicInnerRadius Property

Description

Determines the inner radius of the set of tics currently selected by TicID.  This property is based on a unitless scale and typically has values between 0.0 and 1.0.

Usage

[form.]control.TicInnerRadius[ = single ]

Remarks

The inner radius should be less than the outer radius.

Related Properties

TicColor, TicDeltaValue, TicID, TicLabel, TicLabelRadius, TicOuterRadius, Tics, TicScaleID, TicStartValue, TicStopValue, TicStyle, TicWidth.

Data Type

Single


ScaleStopAngle
ScaleStopAngle Property

Description

Determines the angle of the most clockwise portion of the scale currently selected by ScaleID.  When ScaleDirection is set 0 (Clockwise), the ScaleStopAngle corresponds to ScaleMaxValue and when ScaleDirection is set 1 (Counter Clockwise), the ScaleStopAngle corresponds to ScaleMinValue.

Usage

[form.]control.ScaleStopAngle[ = single ]

Remarks

Start and stop angles are bound between 0 and 360 degrees.  Values outside this range are automatically corrected.

Related Properties

ScaleDirection, ScaleID, ScaleMaxValue, ScaleMinValue, ScaleOriginX, ScaleOriginY, Scales, ScaleStartAngle.

Data Type

Single


unitless scale
Unitless Scales

Description:

Properties which are used to specify position or length use a scale which is based on the size of the control instead of twips or pixels.  For a control which is square, the coordinate system used is depicted with its origin at the center of the control and its width and height are measured from -1 to 1.

For controls which are not square, the origin is still at the center of the control however the units scale used is based on the width or height whichever is smaller so that a unit square fits completely within the control as shown in the two controls below.


TicDeltaValue
TicDeltaValue Property

Description

Determines the interval value between tic marks for the tics currently selected by TicID.

Usage

[form.]control.TicDeltaValue[ = single ]

Related Properties

TicColor, TicID, TicInnerRadius, TicLabel, TicLabelRadius, TicOuterRadius, Tics, TicScaleID, TicStartValue, TicStopValue, TicStyle, TicWidth.

Data Type

Single


CaptionID
CaptionID Property

Description

Determines the currently selected caption.  This property must be set before caption properties are entered.  The total number of captions is determined by the Captions property, and the CaptionID has valid values from 0 to Captions-1.

Usage

[form.]control.CaptionID[ = integer ]

Remarks

The number of Captions must be set before this property can be set.

Related Properties

Caption, CaptionColor, Captions, CaptionX, and CaptionY.

Data Type

Integer.


FramePicture
FramePicture Property

Description

Determines the graphic to be displayed in the frame surrounding the gauge face.

Usage

[form.]control.FramePicture[ = picture ]

Setting

The FramePicture property settings are:

Setting	Description

(none)	No picture is displayed.

(bitmap)	At design time specify the bitmap file name to be displayed.  At run-time specify the bitmap using the LoadPicture function.

Remarks

This property only applies when FrameStyle is set.

Related Properties

FrameColor, FrameScaleX, FrameScaleY, and FrameStyle.

Data Type

Integer.


FrameScaleY
FrameScaleY Property

Description

Determines the vertical size of the opening inside of the frame surrounding the gauge.  For a circular FrameStyle, this property does not apply.  This property is based on a unitless scale and typically has values between 0.0 and 1.0.

Usage

[form.]control.FrameScaleY[ = single ]

Related Properties

FrameColor, FramePicture, FrameScaleX, and FrameStyle.

Data Type

Single


FrameScaleX
FrameScaleX Property

Description

Determines the horizontal size of the opening inside of the frame surrounding the gauge.  For a circular FrameStyle, this property is used to define the radius of the opening inside the frame surrounding the gauge.  This property is based on a unitless scale and typically has values between 0.0 and 1.0.

Usage

[form.]control.FrameScaleX[ = single ]

Related Properties

FrameColor, FramePicture, FrameScaleY, and FrameStyle.

Data Type

Single


FrameColor
FrameColor Property

Description

Determines the frame color surrounding the gauge face.

Usage

[form.]control.FrameColor[ = color ]

Remarks

This property only applies when FrameStyle is set and FramePicture has not been specified.  This property can be set using the RGB or QBColor functions.

Related Properties

FramePicture, FrameScaleX, FrameScaleY, and FrameStyle.

Data Type

Long.


CaptionColor
CaptionColor Property

Description

Determines the caption color of the caption currently selected by CaptionID.

Usage

[form.]control.CaptionColor[ = color ]

Remarks

This property can be set using the RGB or QBColor functions.

Related Properties

Caption, CaptionID, Captions, CaptionX, and CaptionY.

Data Type

Long.


Caption
Caption Property

Description

Determines the text displayed for the caption currently selected by CaptionID.  The number of captions displayed on the gauge is set by the Captions property.

Usage

[form.]control.Caption[ = string expression ]

Related Properties

CaptionColor, CaptionID, Captions, CaptionX, and CaptionY.

Data Type

String


NeedleColor
NeedleColor Property

Description

Determines the color for the needle currently selected by NeedleID.

Usage

[form.]control.NeedleColor[ = color ]

Remarks

This property can be set using the RGB or QBColor functions.

Related Properties

NeedleID, NeedleLength, Needles, NeedleScaleID, NeedleStyle, NeedleValue, and NeedleWidth.

Data Type

Long.


ScaleOriginX
ScaleOriginX Property

Description

Determines the horizontal position of the scale center currently selected by ScaleID.  This property is based on a unitless scale and typically has values between -1.0 and 1.0, where a value of 0.0 is located in the center of the gauge control..

Usage

[form.]control.ScaleOriginX[ = single ]

Related Properties

ScaleDirection, ScaleID, ScaleMaxValue, ScaleMinValue, ScaleOriginY, Scales, ScaleStartAngle, ScaleStopAngle.

Data Type

Single


AnnularInnerRadius
AnnularInnerRadius Property

Description

Determines the inner radius of the annular currently selected by AnnularID.  This property is based on a unitless scale and typically has values between 0.0 and 1.0.

Usage

[form.]control.AnnularInnerRadius[ = single ]

Remarks

The inner radius should be less than the outer radius.  If this is not the case, the annular will not display.

Related Properties

AnnularColor, AnnularID, AnnularOuterRadius, Annulars, AnnularScaleID, AnnularStartValue, and AnnularStopValue.

Data Type

Single.


NeedleValue
NeedleValue Property

Description

Determines the value of the needle currently selected by NeedleID.  The NeedleValue is a number between ScaleMinValue and ScaleMaxValue.  The corresponding scale is referenced by the NeedleScaleID property.

Usage

[form.]control.NeedleValue[ = single ]

Related Properties

NeedleColor, NeedleID, NeedleLength, Needles, NeedleScaleID, NeedleStyle, and NeedleWidth.

Data Type

Single


NeedleID
NeedleID Property

Description

Determines the currently selected needle.  This property must be set before needle properties are entered.  The total number of needles is determined by the Needles property, and the NeedleID has valid values from 0 to Needles-1.

Usage

[form.]control.NeedleID[ = integer ]

Remarks

The number of Needles must be set before this property can be set.

Related Properties

NeedleColor, NeedleLength, Needles, NeedleScaleID, NeedleStyle, NeedleValue, and NeedleWidth.

Data Type

Integer


NeedleStyle
NeedleStyle Property

Description

Determines the style of the needle currently selected by NeedleID.

Usage

[form.]control.NeedleStyle[ = integer ]

Setting

The NeedleStyle property settings are:

Setting 	Description

0 	Pointer

1 	Triangle

2	Arrow

3 	User Defined,  displays the needle defined by the Shape property.

Related Properties

NeedleColor, NeedleID, NeedleLength, Needles, NeedleScaleID, NeedleValue, NeedleWidth, and Shape.

Data Type

Integer (Enumerated)


AnnularID
AnnularID Property

Description

Determines the currently selected annular.  This property must be set before any other annular properties are entered.  The total number of annulars is determined by the Annulars property, and the AnnularID has valid values from 0 to Annulars-1.

Usage

[form.]control.AnnularID[ = integer ]

Remarks

The number of Annulars must be set before this property can be set.

Related Properties

AnnularColor, AnnularInnerRadius, AnnularOuterRadius, Annulars, AnnularScaleID, AnnularStartValue, and AnnularStopValue.

Data Type

Integer


NeedleScaleID
NeedleScaleID Property

Description

Determines the ScaleID that the needle is based on.  The scale is used to define the location of the gauge center, the gauge's beginning and ending angles, and its minimum and maximum displayed values.  The NeedleID is used to select the current needle for which the ScaleID is applied.  The ScaleID has valid values of 0 to Scales-1.

Usage

[form.]control.NeedleScaleID[ = integer ]

Related Properties

NeedleColor, NeedleID, NeedleLength, Needles, NeedleStyle, NeedleValue, and NeedleWidth.

Data Type

Integer


ScaleID
ScaleID Property

Description

Determines the currently selected scale.  Scales are used to define the location of the gauge center, the gauge's beginning and ending angles, and its minimum and maximum displayed values.  The ScaleID has valid values of 0 to Scales-1 and must be set before scale properties are entered.

Usage

[form.]control.ScaleID[ = integer ]

Related Properties

ScaleDirection, ScaleMaxValue, ScaleMinValue, ScaleOriginX, ScaleOriginY, Scales, ScaleStartAngle, ScaleStopAngle.

Data Type

Integer


ScaleDirection
ScaleDirection Property

Description

Determines the direction by which gauge values increase from ScaleMinValue to ScaleMaxValue.

Usage

[form.]control.ScaleDirection[ = integer ]

Setting

The ScaleDirection property settings are:

Setting 	Description

0 	Clockwise

1 	Counter Clockwise

Related Properties

ScaleID, ScaleMaxValue, ScaleMinValue, ScaleOriginX, ScaleOriginY, Scales, ScaleStartAngle, ScaleStopAngle.

Data Type

Integer (Enumerated)


Needles
Needles Property

Description

Determines the number of needles displayed on the gauge.  This property must be set before needle properties are entered.  The NeedleID property is used to select the current needle for which needle properties are applied.

Usage

[form.]control.Needles[ = integer ]

Related Properties

NeedleColor, NeedleID, NeedleLength, NeedleScaleID, NeedleStyle, NeedleValue, and NeedleWidth.

Data Type

Integer


OutlineWidth
OutlineWidth Property

Description

Determines the thickness (in pixels) of the outline frame surrounding the gauge control when BorderType is set to 2 (Outline).

Usage

[form.]control.OutlineWidth[ = integer ]

Related Properties

BorderType, OutlineAlign, OutlineColor, and OutlineTitle.

Data Type

Integer


OutlineAlign
OutlineAlign Property

Description

Determines the alignment of the OutlineTitle at the top of the gauge control.  This property only applies when BorderType is set to 2 (Outline).

Usage

[form.]control.OutlineAlign[ = integer ]

Setting

The OutlineAlign property settings are:

Setting 	Description

0 	Left

1 	Right

2	Center

Related Properties

BorderType, OutlineColor, OutlineTitle, and OutlineWidth.

Data Type

Integer (Enumerated)


ScaleMaxValue
ScaleMaxValue Property

Description

Determines the maximum value displayed by the scale currently selected by ScaleID.

Usage

[form.]control.ScaleMaxValue[ = single ]

Remarks

The ScaleMaxValue should be greater than the ScaleMinValue.

Related Properties

ScaleDirection, ScaleID, ScaleMinValue, ScaleOriginX, ScaleOriginY, Scales, ScaleStartAngle, ScaleStopAngle.

Data Type

Single


OutlineTitle
OutlineTitle Property

Description

Determines the text displayed as the title in the outline frame surrounding the gauge control when the BorderType is set to 2 (Outline).

Usage

[form.]control.OutlineTitle[ = string expression ]

Related Properties

BorderType, OutlineAlign, OutlineColor, and OutlineWidth.

Data Type

String


NeedleWidth
NeedleWidth Property

Description

Determines the width of the needle currently selected by NeedleID.  This property is based on a unitless scale and typically has values between 0.0 and 1.0.

Usage

[form.]control.NeedleWidth[ = single ]

Related Properties

NeedleColor, NeedleID, NeedleLength, Needles, NeedleScaleID, NeedleStyle, and NeedleValue.

Data Type

Single


Scales
Scales Property

Description

Determines the number of scales used to define the gauge.  This property must be set before scale properties are entered.  The ScaleID property is used to select the current scale for which scale properties are applied.

Usage

[form.]control.Scales[ = integer ]

Related Properties

ScaleDirection, ScaleID, ScaleMaxValue, ScaleMinValue, ScaleOriginX, ScaleOriginY, ScaleStartAngle, ScaleStopAngle.

Data Type

Integer


HubScale
HubScale Property

Description

Determines the radius of the hub currently selected by HubID.  This property is based on a unitless scale and typically has values between 0.0 and 1.0.

Usage

[form.]control.HubScale[ = single ]

Related Properties

HubColor, HubID, Hubs, and HubScaleID.

Data Type

Single


NeedleLength
NeedleLength Property

Description

Determines the length of the needle currently selected by NeedleID.  This property is based on a unitless scale and typically has values between 0.0 and 1.0.

Usage

[form.]control.NeedleLength[ = single ]

Related Properties

NeedleColor, NeedleID, Needles, NeedleScaleID, NeedleStyle, NeedleValue, and NeedleWidth.

Data Type

Single


ScaleOriginY
ScaleOriginY Property

Description

Determines the vertical position of the scale center currently selected by ScaleID.  This property is based on a unitless scale and typically has values between -1.0 and 1.0, where a value of 0.0 is located in the center of the gauge control..

Usage

[form.]control.ScaleOriginY[ = single ]

Related Properties

ScaleDirection, ScaleID, ScaleMaxValue, ScaleMinValue, ScaleOriginX, Scales, ScaleStartAngle, ScaleStopAngle.

Data Type

Single


BorderType
BorderType Property

Description

Determines the style of the border around the control.

Usage

[form.]control.BorderType[ = integer ]

Setting

The BoderType property settings are:

Setting 	Description

0 (None)	Border is not displayed.

1 (Bevel)	3D beveled border is displayed using BevelInner, BevelOuter, BevelWidth, and BorderWidth properties.

2 (Outline)	Frame style border is displayed using OutlineAlign, OutlineColor, OutlineTitle, and OutlineWidth properties.

Data Type

Integer (Enumerated)


AnnularOuterRadius
AnnularOuterRadius Property

Description

Determines the outer radius of the annular currently selected by AnnularID.  This property is based on a unitless scale and typically has values between 0.0 and 1.0.

Usage

[form.]control.AnnularOuterRadius[ = single ]

Remarks

The outer radius should be greater than the inner radius.  If this is not the case, the annular will not display.

Related Properties

AnnularColor, AnnularID, AnnularInnerRadius, Annulars, AnnularScaleID, AnnularStartValue, and AnnularStopValue.

Data Type

Single


OutlineColor
OutlineColor Property

Description

Determines the color of the outline frame and OutlineTitle surrounding the gauge control when BorderType is set to 2 (Outline).

Usage

[form.]control.OutlineColor[ = color ]

Remarks

This property can be set using the RGB or QBColor functions.

Related Properties

BorderType, OutlineAlign, OutlineTitle, and OutlineWidth.

Data Type

Long.


BackgroundColor
BackgroundColor Property

Description

Determines the background color of the gauge.

Usage

[form.]control.BackgroundColor[ = color ]

Remarks

This property can be set using the RGB or QBColor functions.

Data Type

Long.


AnnularStopValue
AnnularStopValue Property

Description

Determines the value at which the annular region ends.  The StopValue is a number between ScaleMinValue and ScaleMaxValue.  The corresponding scale is referenced by the AnnularScaleID property.

Usage

[form.]control.AnnularStopValue[ = single ]

Remarks

The StopValue should be greater than the StartValue.

Related Properties

AnnularColor, AnnularID, AnnularInnerRadius, AnnularOuterRadius, Annulars, AnnularScaleID, and AnnularStartValue.

Data Type

Single


AnnularStartValue
AnnularStartValue Property

Description

Determines the value at which the annular region begins.  The StartValue is a number between ScaleMinValue and ScaleMaxValue.  The corresponding scale is referenced by the AnnularScaleID property.

Usage

[form.]control.AnnularStartValue[ = single ]

Remarks

The StartValue should be less than the StopValue.

Related Properties

AnnularColor, AnnularID, AnnularInnerRadius, AnnularOuterRadius, Annulars, AnnularScaleID, and AnnularStopValue.

Data Type

Single


AnnularScaleID
AnnularScaleID Property

Description

Determines the ScaleID that the annular region is based on.  The scale is used to define the location of the gauge center, the gauge's beginning and ending angles, and its minimum and maximum displayed values.  The AnnularID is used to select the current annular for which the ScaleID is applied.  The ScaleID has valid values of 0 to Scales-1.

Usage

[form.]control.AnnularScaleID[ = integer ]

Related Properties

AnnularColor, AnnularID, AnnularInnerRadius, AnnularOuterRadius, Annulars, AnnularStartValue, and AnnularStopValue.

Data Type

Integer


FrameStyle
FrameStyle Property

Description

Determines the style of the frame surrounding the gauge control..

Usage

[form.]control.FrameStyle[ = integer ]

Setting

The FrameStyle property settings are:

Setting 	Description

0 (None)	No frame is displayed.

1 (Circle)	A circular frame is displayed using FrameScaleX as the internal radius.

2 (Rectangle)	A rectangular frame is displayed using FrameScaleX and FrameScaleY properties to size the interior size of the frame.

Related Properties

FrameColor, FramePicture, FrameScaleX, and FrameScaleY.

Data Type

Integer (Enumerated)


BackgroundPicture
BackgroundPicture Property

Description

Determines the graphic to be displayed in the background of the gauge.

Usage

[form.]control.BackgroundPicture[ = picture ]

Setting

The BackgroundPicture property settings are:

Setting	Description

(none)	No picture is displayed.

(bitmap)	At design time specify the bitmap file name to be displayed.  At run-time specify the bitmap using the LoadPicture function.

Data Type

Integer.


ToggleEvents
Events

Click

DragDrop

GotFocus

LostFocus

MouseDown

MouseMove

MouseUp